package com.kym.service;

import com.kym.entity.DeviceConfig;
import com.kym.entity.common.PageBean;
import com.kym.entity.queryParams.DeviceConfigParams;
import com.kym.entity.queryParams.DeviceConfigQueryParams;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 洗车设备参数配置表 服务类
 * </p>
 *
 * @author skyline
 * @since 2025-01-19
 */
public interface DeviceConfigService extends MyBaseService<DeviceConfig> {

    void add(DeviceConfig deviceConfig);

    void modify(DeviceConfig deviceConfig);

    void batchModify(DeviceConfigParams params);

    Object readDeviceConfig(String shortId);

    PageBean<DeviceConfig> list(DeviceConfigQueryParams params);

    void pushNewDeviceConfig(Long deviceConfigId);
}
